SVC_XPRT_NAMES(9)

NAME
svc_xprt_names - format a buffer with a list of transport names

SYNOPSIS

int svc_xprt_names(struct svc_serv * serv, char * buf, const int buflen);

ARGUMENTS

serv
    pointer to an RPC service

buf
    pointer to a buffer to be filled in

buflen
    length of buffer to be filled in

DESCRIPTION

Fills in buf with a string containing a list of transport names, each name terminated with '\n'.

Returns positive length of the filled-in string on success; otherwise a negative errno value is returned if an error occurs.

COPYRIGHT